Version v1.75.1 to v1.76.0


Summary of Changes

12 - New

88 - Updated

862 - Total Endpoints

586 - Total Paths



Added

[ devices ]

certificates

Docs

Revoke a device certificate

Operation ID: revokeDeviceCertificate

PATH /devices/{serial}/certificates/{certificateSerial}/revoke

- Path added

- New endpoint

POST /devices/{serial}/certificates/{certificateSerial}/revoke



liveTools

Docs

Enqueue a live tool job to fetch route details from a device.

Operation ID: createDeviceLiveToolsRouteDetail

PATH /devices/{serial}/liveTools/route/details

- Path added

- New endpoint

POST /devices/{serial}/liveTools/route/details



Docs

Return a route details live tool job for a device.

Operation ID: getDeviceLiveToolsRouteDetail

PATH /devices/{serial}/liveTools/route/details/{jobId}

- Path added

- New endpoint

GET /devices/{serial}/liveTools/route/details/{jobId}



[ organizations ]

assurance

Docs

Summarize wireless connection counts by network

Operation ID: getOrganizationAssuranceWirelessExperienceSuccessfulConnectionsByNetwork

PATH /organizations/{organizationId}/assurance/wireless/experience/successfulConnections/byNetwork

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wireless/experience/successfulConnections/byNetwork



certificates

Docs

Delete a certificate authority

Operation ID: deleteOrganizationCertificatesAuthorities

PATH /organizations/{organizationId}/certificates/authorities

- Path added

- New endpoint

DELETE /organizations/{organizationId}/certificates/authorities



Docs

List certificate authorities for an organization

Operation ID: getOrganizationCertificatesAuthorities

PATH /organizations/{organizationId}/certificates/authorities

- Path added

- New endpoint

GET /organizations/{organizationId}/certificates/authorities



Docs

Create a certificate authority for an organization

Operation ID: createOrganizationCertificatesAuthority

PATH /organizations/{organizationId}/certificates/authorities

- Path added

- New endpoint

POST /organizations/{organizationId}/certificates/authorities



Docs

Trust a newly created certificate authority (transition from untrusted to trusted).

Operation ID: updateOrganizationCertificatesAuthorities

PATH /organizations/{organizationId}/certificates/authorities

- Path added

- New endpoint

PUT /organizations/{organizationId}/certificates/authorities



Docs

Return the status and result of a certificate authority job.

Operation ID: getOrganizationCertificatesAuthoritiesJob

PATH /organizations/{organizationId}/certificates/authorities/jobs/{jobId}

- Path added

- New endpoint

GET /organizations/{organizationId}/certificates/authorities/jobs/{jobId}



Docs

Revoke a trusted feature certificate authority.

Operation ID: revokeOrganizationCertificatesAuthorities

PATH /organizations/{organizationId}/certificates/authorities/revoke

- Path added

- New endpoint

POST /organizations/{organizationId}/certificates/authorities/revoke



Docs

Return full certificate revocation lists (CRLs) for the organization's certificate authorities

Operation ID: getOrganizationCertificatesRevocationLists

PATH /organizations/{organizationId}/certificates/revocationLists

- Path added

- New endpoint

GET /organizations/{organizationId}/certificates/revocationLists



devices

Docs

List device certificates for the organization

Operation ID: getOrganizationDevicesCertificates

PATH /organizations/{organizationId}/devices/certificates

- Path added

- New endpoint

GET /organizations/{organizationId}/devices/certificates



Changed

[ appliance ]

interfaces

Docs

Create wired L3 interface

Operation ID: createNetworkApplianceInterfacesL3

POST /networks/{networkId}/appliance/interfaces/l3

- the request property ipv4/address became required

- the request property ipv4/subnet became required


prefixes

Docs

Add a static delegated prefix from a network

Operation ID: createNetworkAppliancePrefixesDelegatedStatic

POST /networks/{networkId}/appliance/prefixes/delegated/statics

- the request property origin/type became required


Docs

Update a static delegated prefix from a network

Operation ID: updateNetworkAppliancePrefixesDelegatedStatic

PUT /networks/{networkId}/appliance/prefixes/delegated/statics/{staticDelegatedPrefixId}

- the request property origin/type became required


sdwan

Docs

Update SDWAN internet traffic preferences for an MX network

Operation ID: updateNetworkApplianceSdwanInternetPolicies

PUT /networks/{networkId}/appliance/sdwan/internetPolicies

- added the new optional request property wanTrafficUplinkPreferences/items/vrf

- added the optional property wanTrafficUplinkPreferences/items/vrf to the response with the 200 status


security

Docs

Set the supported intrusion settings for an MX network

Operation ID: updateNetworkApplianceSecurityIntrusion

PUT /networks/{networkId}/appliance/security/intrusion

- the request property policy/id became required

- the request property protectedNetworks/useDefault became required


singleLan

Docs

Update single LAN configuration

Operation ID: updateNetworkApplianceSingleLan

PUT /networks/{networkId}/appliance/singleLan

- the request property vrf/id became required


ssids

Docs

Update the attributes of an MX SSID

Operation ID: updateNetworkApplianceSsid

PUT /networks/{networkId}/appliance/ssids/{number}

- the request property dot11w/enabled became required


trafficShaping

Docs

Update the traffic shaping settings for an MX network

Operation ID: updateNetworkApplianceTrafficShaping

PUT /networks/{networkId}/appliance/trafficShaping

- the request property globalBandwidthLimits/limitDown became required

- the request property globalBandwidthLimits/limitUp became required


Docs

Operation ID: updateNetworkApplianceTrafficShapingUplinkSelection

PUT /networks/{networkId}/appliance/trafficShaping/uplinkSelection

- the request property failoverAndFailback/immediate became required


Docs

Update VPN exclusion rules for an MX network.

Operation ID: updateNetworkApplianceTrafficShapingVpnExclusions

PUT /networks/{networkId}/appliance/trafficShaping/vpnExclusions

- added the new optional request property applicationCategoryMapping


umbrella

Docs

Connect a Cisco Umbrella account to this network

Operation ID: connectNetworkApplianceUmbrellaAccount

POST /networks/{networkId}/appliance/umbrella/account/connect

- the request property api/key became required

- the request property api/secret became required


Docs

Add one Cisco Umbrella DNS security policy to an MX network by policy ID

Operation ID: addNetworkApplianceUmbrellaPolicies

POST /networks/{networkId}/appliance/umbrella/policies/add

- the request property policy/id became required


Docs

Remove one Cisco Umbrella DNS security policy from an MX network by policy ID

Operation ID: removeNetworkApplianceUmbrellaPolicies

POST /networks/{networkId}/appliance/umbrella/policies/remove

- the request property policy/id became required


vpn

Docs

Return the site-to-site VPN settings of an MX network or configuration template.

Operation ID: getNetworkApplianceVpnSiteToSiteVpn

GET /networks/{networkId}/appliance/vpn/siteToSiteVpn

- added the optional property natTraversal to the response with the 200 status

- added the optional property subnets/items/nat/legacy to the response with the 200 status


Docs

Update the site-to-site VPN settings of an MX network or configuration template in NAT mode

Operation ID: updateNetworkApplianceVpnSiteToSiteVpn

PUT /networks/{networkId}/appliance/vpn/siteToSiteVpn

- added the new optional request property confirmed

- added the new optional request property natTraversal

- added the new optional request property subnets/items/nat/legacy

- the request property subnets/items/localSubnet became optional

- added the optional property natTraversal to the response with the 200 status

- added the optional property subnets/items/nat/legacy to the response with the 200 status


[ camera ]

wirelessProfiles

Docs

Creates a new camera wireless profile for this network.

Operation ID: createNetworkCameraWirelessProfile

POST /networks/{networkId}/camera/wirelessProfiles

- the request property ssid/authMode became required

- the request property ssid/name became required


[ campusGateway ]

clusters

Docs

Create a cluster and add campus gateways to it

Operation ID: createNetworkCampusGatewayCluster

POST /networks/{networkId}/campusGateway/clusters

- the request property nameservers/addresses became required


ssids

Docs

Update the mDNS gateway settings and rules for a SSID and cluster

Operation ID: updateNetworkCampusGatewaySsidMdns

PUT /networks/{networkId}/campusGateway/ssids/{number}/mdns

- removed the enum constraint from the rules/items/services/items/ response property for the response status 200

- removed the enum constraint from the request property rules/items/services/items/


[ clients ]

provision

Docs

Provisions a client with a name and policy

Operation ID: provisionNetworkClients

POST /networks/{networkId}/clients/provision

- the request property policiesBySecurityAppliance/devicePolicy became required


[ devices ]

appliance

Docs

Update configurations for an appliance's specified port

Operation ID: createDeviceApplianceInterfacesPortsUpdate

POST /devices/{serial}/appliance/interfaces/ports/update

- the request property personality/mode became required


Docs

Update configurations for an appliance's specified port

Operation ID: updateDeviceApplianceInterfacesPort

PUT /devices/{serial}/appliance/interfaces/ports/{number}

- the request property personality/mode became required


camera

Docs

Assign wireless profiles to the given camera

Operation ID: updateDeviceCameraWirelessProfiles

PUT /devices/{serial}/camera/wirelessProfiles

- the request property ids/primary became required

- the request property ids/secondary became required


sensor

Docs

Assign one or more sensor roles to a given sensor or camera device.

Operation ID: updateDeviceSensorRelationships

PUT /devices/{serial}/sensor/relationships

- the request property livestream/relatedDevices became required


wireless

Docs

Return the ESL settings of a device

Operation ID: getDeviceWirelessElectronicShelfLabel

GET /devices/{serial}/wireless/electronicShelfLabel

- the endpoint scheme security bearerAuth was removed from the API

- the endpoint scheme security meraki_api_key was removed from the API

- the endpoint scheme security oauth2: [wireless:config:read] was added to the API


Docs

Update the ESL settings of a device

Operation ID: updateDeviceWirelessElectronicShelfLabel

PUT /devices/{serial}/wireless/electronicShelfLabel

- the endpoint scheme security bearerAuth was removed from the API

- the endpoint scheme security meraki_api_key was removed from the API

- the endpoint scheme security oauth2: [wireless:config:write] was added to the API


[ firmwareUpgrades ]

general

Docs

Update firmware upgrade information for a network

Operation ID: updateNetworkFirmwareUpgrades

PUT /networks/{networkId}/firmwareUpgrades

- the request property upgradeWindow/dayOfWeek became required

- the request property upgradeWindow/hourOfDay became required

- removed the enum value snmp-device-access-check of the request property featureLossAcknowledgements/items/removedFeatureCheckNames/items/

- added the new snmp-auth-and-privacy-check enum value to the request property featureLossAcknowledgements/items/removedFeatureCheckNames/items/


[ floorPlans ]

general

Docs

Upload a floor plan

Operation ID: createNetworkFloorPlan

POST /networks/{networkId}/floorPlans

- the request property bottomLeftCorner/lat became required

- the request property bottomLeftCorner/lng became required

- the request property bottomRightCorner/lat became required

- the request property bottomRightCorner/lng became required

- the request property center/lat became required

- the request property center/lng became required

- the request property topLeftCorner/lat became required

- the request property topLeftCorner/lng became required

- the request property topRightCorner/lat became required

- the request property topRightCorner/lng became required


Docs

Update a floor plan's geolocation and other meta data

Operation ID: updateNetworkFloorPlan

PUT /networks/{networkId}/floorPlans/{floorPlanId}

- the request property bottomLeftCorner/lat became required

- the request property bottomLeftCorner/lng became required

- the request property bottomRightCorner/lat became required

- the request property bottomRightCorner/lng became required

- the request property center/lat became required

- the request property center/lng became required

- the request property topLeftCorner/lat became required

- the request property topLeftCorner/lng became required

- the request property topRightCorner/lat became required

- the request property topRightCorner/lng became required


[ organizations ]

actionBatches

Docs

Return the list of action batches in the organization

Operation ID: getOrganizationActionBatches

GET /organizations/{organizationId}/actionBatches

- added the new optional query request parameter endingBefore

- added the new optional query request parameter perPage

- added the new optional query request parameter sortOrder

- added the new optional query request parameter startingAfter

- the response header link was added for the status 200


admins

Docs

List the dashboard administrators in this organization

Operation ID: getOrganizationAdmins

GET /organizations/{organizationId}/admins

- added the new Cisco Customer Identity enum value to the items/authenticationMethod response property for the response status 200

- added the new Cisco Unified Identity enum value to the items/authenticationMethod response property for the response status 200

- added the new SAML enum value to the items/authenticationMethod response property for the response status 200


Docs

Create a new dashboard administrator

Operation ID: createOrganizationAdmin

POST /organizations/{organizationId}/admins

- added the new Cisco Customer Identity enum value to the authenticationMethod response property for the response status 201

- added the new Cisco Unified Identity enum value to the authenticationMethod response property for the response status 201

- added the new SAML enum value to the authenticationMethod response property for the response status 201


Docs

Update an administrator

Operation ID: updateOrganizationAdmin

PUT /organizations/{organizationId}/admins/{adminId}

- added the new Cisco Customer Identity enum value to the authenticationMethod response property for the response status 200

- added the new Cisco Unified Identity enum value to the authenticationMethod response property for the response status 200

- added the new SAML enum value to the authenticationMethod response property for the response status 200


appliance

Docs

Create a new local DNS record

Operation ID: createOrganizationApplianceDnsLocalRecord

POST /organizations/{organizationId}/appliance/dns/local/records

- the request property profile/id became required


Docs

Create a new split DNS profile

Operation ID: createOrganizationApplianceDnsSplitProfile

POST /organizations/{organizationId}/appliance/dns/split/profiles

- the request property nameservers/addresses became required


Docs

Create a new intrusion policy for the organization.

Operation ID: createOrganizationApplianceSecurityIntrusionPolicy

POST /organizations/{organizationId}/appliance/security/intrusion/policies

- the request property policy/basePolicy became required

- the request property policy/name became required


Docs

Create a rule group override for an intrusion policy.

Operation ID: createOrganizationApplianceSecurityIntrusionPolicyRuleGroupOverride

POST /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/ruleGroups/{ruleGroupId}/override

- the request property override/security became required


Docs

Update a rule group override for an intrusion policy.

Operation ID: updateOrganizationApplianceSecurityIntrusionPolicyRuleGroupOverride

PUT /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/ruleGroups/{ruleGroupId}/override

- the request property override/security became required


Docs

Create a rule override for an intrusion policy.

Operation ID: createOrganizationApplianceSecurityIntrusionPolicyRuleOverride

POST /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/rules/{ruleId}/override

- the request property override/action became required


Docs

Update a rule override for an intrusion policy.

Operation ID: updateOrganizationApplianceSecurityIntrusionPolicyRuleOverride

PUT /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/rules/{ruleId}/override

- the request property override/action became required


Docs

Return the configured third-party VPN peers for an organization.

Operation ID: getOrganizationApplianceVpnThirdPartyVPNPeers

GET /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers

- added the new aws (insecure) enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new aws_v2 enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new azure (insecure) enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new azure_v2 enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new default (insecure) enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new umbrella (deprecated) enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new umbrella (insecure) enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new umbrella_v2 enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new zscaler (insecure) enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new zscaler_v2 enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- removed the aws enum value from the peers/items/ipsecPoliciesPreset response property for the response status 200

- removed the azure enum value from the peers/items/ipsecPoliciesPreset response property for the response status 200

- removed the default enum value from the peers/items/ipsecPoliciesPreset response property for the response status 200

- removed the umbrella enum value from the peers/items/ipsecPoliciesPreset response property for the response status 200

- removed the umbrella_short_lived enum value from the peers/items/ipsecPoliciesPreset response property for the response status 200

- removed the zscaler enum value from the peers/items/ipsecPoliciesPreset response property for the response status 200


Docs

Update the third party VPN peers for an organization

Operation ID: updateOrganizationApplianceVpnThirdPartyVPNPeers

PUT /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers

- removed the enum value aws of the request property peers/items/ipsecPoliciesPreset

- removed the enum value azure of the request property peers/items/ipsecPoliciesPreset

- removed the enum value default of the request property peers/items/ipsecPoliciesPreset

- removed the enum value umbrella of the request property peers/items/ipsecPoliciesPreset

- removed the enum value umbrella_short_lived of the request property peers/items/ipsecPoliciesPreset

- removed the enum value zscaler of the request property peers/items/ipsecPoliciesPreset

- added the new aws (insecure) enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new aws_v2 enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new azure (insecure) enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new azure_v2 enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new default (insecure) enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new umbrella (deprecated) enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new umbrella (insecure) enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new umbrella_v2 enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new zscaler (insecure) enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new zscaler_v2 enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new aws (insecure) enum value to the request property peers/items/ipsecPoliciesPreset

- added the new aws_v2 enum value to the request property peers/items/ipsecPoliciesPreset

- added the new azure (insecure) enum value to the request property peers/items/ipsecPoliciesPreset

- added the new azure_v2 enum value to the request property peers/items/ipsecPoliciesPreset

- added the new default (insecure) enum value to the request property peers/items/ipsecPoliciesPreset

- added the new umbrella (deprecated) enum value to the request property peers/items/ipsecPoliciesPreset

- added the new umbrella (insecure) enum value to the request property peers/items/ipsecPoliciesPreset

- added the new umbrella_v2 enum value to the request property peers/items/ipsecPoliciesPreset

- added the new zscaler (insecure) enum value to the request property peers/items/ipsecPoliciesPreset

- added the new zscaler_v2 enum value to the request property peers/items/ipsecPoliciesPreset

- removed the aws enum value from the peers/items/ipsecPoliciesPreset response property for the response status 200

- removed the azure enum value from the peers/items/ipsecPoliciesPreset response property for the response status 200

- removed the default enum value from the peers/items/ipsecPoliciesPreset response property for the response status 200

- removed the umbrella enum value from the peers/items/ipsecPoliciesPreset response property for the response status 200

- removed the umbrella_short_lived enum value from the peers/items/ipsecPoliciesPreset response property for the response status 200

- removed the zscaler enum value from the peers/items/ipsecPoliciesPreset response property for the response status 200


assurance

Docs

Create an alert profile

Operation ID: createOrganizationAssuranceAlertsProfile

POST /organizations/{organizationId}/assurance/alerts/profiles

- the request property configuration/alertDestinations became required

- the request property configuration/enabled became required


Docs

Update an alert profile

Operation ID: updateOrganizationAssuranceAlertsProfile

PUT /organizations/{organizationId}/assurance/alerts/profiles/{profileId}

- the request property configuration/alertDestinations became required

- the request property configuration/enabled became required


campusGateway

Docs

Provisions a cluster,adds campus gateways to it and associate/dissociate failover targets.

Operation ID: provisionOrganizationCampusGatewayClusters

POST /organizations/{organizationId}/campusGateway/clusters/provision

- the request property nameservers/addresses became required

- the request property network/id became required


cellularGateway

Docs

Add a service provider account.

Operation ID: createOrganizationCellularGatewayEsimsServiceProvidersAccount

POST /organizations/{organizationId}/cellularGateway/esims/serviceProviders/accounts

- the request property serviceProvider/name became required


inventory

Docs

Claim an order by the secure unique order claim number, the order claim id

Operation ID: claimOrganizationInventoryOrders

POST /organizations/{organizationId}/inventory/orders/claim

- added the optional property subscriptions/items/trialId to the response with the 200 status


Docs

Preview the results and status of an order claim by the secure order id

Operation ID: previewOrganizationInventoryOrders

POST /organizations/{organizationId}/inventory/orders/preview

- added the optional property subscriptions/items/trialId to the response with the 200 status

- added the optional property trialId to the response with the 200 status


licensing

Docs

Moves a license to a different organization (coterm only)

Operation ID: moveOrganizationLicensingCotermLicenses

POST /organizations/{organizationId}/licensing/coterm/licenses/move

- the request property destination/mode became required

- the request property destination/organizationId became required


networks

Docs

Move networks from one organization to another

Operation ID: createNetworkMove

POST /organizations/{organizationId}/networks/moves

- the request property network/id became required

- the request property organizations/target became required


policies

Docs

Create an Organization-Wide Policy Firewall Rule

Operation ID: createOrganizationPoliciesGlobalFirewallRulesetsRule

POST /organizations/{organizationId}/policies/global/firewall/rulesets/rules

- the request property destinations/matchCriteria became required

- the request property sources/matchCriteria became required


Docs

Update an Organization-Wide Policy Firewall Rule

Operation ID: updateOrganizationPoliciesGlobalFirewallRulesetsRule

PUT /organizations/{organizationId}/policies/global/firewall/rulesets/rules/{ruleId}

- the request property destinations/matchCriteria became required

- the request property sources/matchCriteria became required


Docs

Assign adaptive policy groups to a policy

Operation ID: assignOrganizationPoliciesGlobalGroupPoliciesAdaptivePolicyGroups

POST /organizations/{organizationId}/policies/global/group/policies/adaptivePolicyGroups/assign

- the request property policy/id became required


Docs

Remove adaptive policy groups from a policy

Operation ID: removeOrganizationPoliciesGlobalGroupPoliciesAdaptivePolicyGroups

POST /organizations/{organizationId}/policies/global/group/policies/adaptivePolicyGroups/remove

- the request property policy/id became required


Docs

Assign VLANs to a policy

Operation ID: assignOrganizationPoliciesGlobalGroupPoliciesApplianceVlans

POST /organizations/{organizationId}/policies/global/group/policies/appliance/vlans/assign

- the request property policy/id became required


Docs

Remove VLANs from a policy

Operation ID: removeOrganizationPoliciesGlobalGroupPoliciesApplianceVlans

POST /organizations/{organizationId}/policies/global/group/policies/appliance/vlans/remove

- the request property policy/id became required


Docs

Commit staged Organization-Wide Policy Ruleset Assignments

Operation ID: commitOrganizationPoliciesGlobalGroupPoliciesFirewallRulesetsAssignments

POST /organizations/{organizationId}/policies/global/group/policies/firewall/rulesets/assignments/commit

- the request property policy/id became required


Docs

Assign Network Enforcement Targets to an Organization-Wide Policy

Operation ID: bulkOrganizationPoliciesGlobalGroupPoliciesNetworksAssignmentsAssign

POST /organizations/{organizationId}/policies/global/group/policies/networks/assignments/bulkAssign

- the request property policy/id became required


Docs

Remove Network Enforcement Targets from an Organization-Wide Policy

Operation ID: bulkOrganizationPoliciesGlobalGroupPoliciesNetworksAssignmentsDelete

POST /organizations/{organizationId}/policies/global/group/policies/networks/assignments/bulkDelete

- the request property policy/id became required


sase

Docs

Create a new Secure Access integration

Operation ID: createOrganizationSaseIntegration

POST /organizations/{organizationId}/sase/integrations

- the request property api/key became required

- the request property api/secret became required


Docs

Update the configuration for a site

Operation ID: updateOrganizationSaseSite

PUT /organizations/{organizationId}/sase/sites/{siteId}

- the request property routing/defaultRoute became required


wireless

Docs

Returns the current Air Marshal settings for this network

Operation ID: getOrganizationWirelessAirMarshalSettingsByNetwork

GET /organizations/{organizationId}/wireless/airMarshal/settings/byNetwork

- the items response property's maxItems was set to 1000 for the response status 200


Docs

Operation ID: getOrganizationWirelessDevicesEthernetStatuses

GET /organizations/{organizationId}/wireless/devices/ethernet/statuses

- removed the optional property items/ports/items/poe/granted from the response with the 200 status

- removed the optional property items/ports/items/poe/isActive from the response with the 200 status

- removed the optional property items/ports/items/poe/protocol from the response with the 200 status

- removed the optional property items/ports/items/poe/requested from the response with the 200 status

- removed the optional property items/power/draw from the response with the 200 status

- removed the optional property items/power/reportedAt from the response with the 200 status


Docs

Add new receiver for scanning API

Operation ID: createOrganizationWirelessLocationScanningReceiver

POST /organizations/{organizationId}/wireless/location/scanning/receivers

- the request property network/id became required

- the request property radio/type became required


Docs

Add new broker config for wireless MQTT

Operation ID: updateOrganizationWirelessMqttSettings

PUT /organizations/{organizationId}/wireless/mqtt/settings

- the request property mqtt/enabled became required

- the request property network/id became required


Docs

Create isolation allow list MAC entry for this organization

Operation ID: createOrganizationWirelessSsidsFirewallIsolationAllowlistEntry

POST /organizations/{organizationId}/wireless/ssids/firewall/isolation/allowlist/entries

- the request property client/mac became required

- the request property network/id became required

- the request property ssid/number became required


Docs

Create a new SSID profile in an organization

Operation ID: createOrganizationWirelessSsidsProfile

POST /organizations/{organizationId}/wireless/ssids/profiles

- the request property ssid/name became required


Docs

Assigns an SSID profile to an SSID in the organization

Operation ID: createOrganizationWirelessSsidsProfilesAssignment

POST /organizations/{organizationId}/wireless/ssids/profiles/assignments

- the request property profile/id became required

- a breaking change was detected but the major version did not increase, from v1.75.1 to 1.76.0


[ settings ]

general

Docs

Update the settings for a network

Operation ID: updateNetworkSettings

PUT /networks/{networkId}/settings

- the request property namedVlans/enabled became required


[ sm ]

bypassActivationLockAttempts

Docs

Bypass activation lock attempt

Operation ID: createNetworkSmBypassActivationLockAttempt

POST /networks/{networkId}/sm/bypassActivationLockAttempts

- the endpoint scheme security bearerAuth was removed from the API

- the endpoint scheme security meraki_api_key was removed from the API

- the endpoint scheme security oauth2: [sm:config:write] was added to the API


Docs

Bypass activation lock attempt status

Operation ID: getNetworkSmBypassActivationLockAttempt

GET /networks/{networkId}/sm/bypassActivationLockAttempts/{attemptId}

- the endpoint scheme security bearerAuth was removed from the API

- the endpoint scheme security meraki_api_key was removed from the API

- the endpoint scheme security oauth2: [sm:config:read] was added to the API


devices

Docs

Reboot a set of endpoints

Operation ID: rebootNetworkSmDevices

POST /networks/{networkId}/sm/devices/reboot

- the endpoint scheme security bearerAuth was removed from the API

- the endpoint scheme security meraki_api_key was removed from the API

- the endpoint scheme security oauth2: [sm:config:write] was added to the API


Docs

Shutdown a set of endpoints

Operation ID: shutdownNetworkSmDevices

POST /networks/{networkId}/sm/devices/shutdown

- the endpoint scheme security bearerAuth was removed from the API

- the endpoint scheme security meraki_api_key was removed from the API

- the endpoint scheme security oauth2: [sm:config:write] was added to the API


Docs

Install applications on a device

Operation ID: installNetworkSmDeviceApps

POST /networks/{networkId}/sm/devices/{deviceId}/installApps

- the endpoint scheme security bearerAuth was removed from the API

- the endpoint scheme security meraki_api_key was removed from the API

- the endpoint scheme security oauth2: [sm:config:write] was added to the API


Docs

Uninstall applications on a device

Operation ID: uninstallNetworkSmDeviceApps

POST /networks/{networkId}/sm/devices/{deviceId}/uninstallApps

- the endpoint scheme security bearerAuth was removed from the API

- the endpoint scheme security meraki_api_key was removed from the API

- the endpoint scheme security oauth2: [sm:config:write] was added to the API


[ switch ]

dhcpServerPolicy

Docs

Add a server to be trusted by Dynamic ARP Inspection on this network

Operation ID: createNetworkSwitchDhcpServerPolicyArpInspectionTrustedServer

POST /networks/{networkId}/switch/dhcpServerPolicy/arpInspection/trustedServers

- the request property ipv4/address became required


routing

Docs

Update multicast settings for a network

Operation ID: updateNetworkSwitchRoutingMulticast

PUT /networks/{networkId}/switch/routing/multicast

- the request property defaultSettings/floodUnknownMulticastTrafficEnabled became required

- the request property defaultSettings/igmpSnoopingEnabled became required


settings

Docs

Returns the switch network settings

Operation ID: getNetworkSwitchSettings

GET /networks/{networkId}/switch/settings

- added the optional property clientTracking to the response with the 200 status


Docs

Update switch network settings

Operation ID: updateNetworkSwitchSettings

PUT /networks/{networkId}/switch/settings

- the request property macBlocklist/enabled became required

- the request property uplinkClientSampling/enabled became required

- the request property uplinkSelection/candidates became required

- the request property uplinkSelection/failback became required

- added the new optional request property clientTracking

- added the optional property clientTracking to the response with the 200 status


[ vlanProfiles ]

assignments

Docs

Update the assigned VLAN Profile for devices in a network

Operation ID: reassignNetworkVlanProfilesAssignments

POST /networks/{networkId}/vlanProfiles/assignments/reassign

- the request property vlanProfile/iname became required


[ wireless ]

airMarshal

Docs

Creates a new rule

Operation ID: createNetworkWirelessAirMarshalRule

POST /networks/{networkId}/wireless/airMarshal/rules

- the request property match/string became required

- the request property match/type became required


Docs

Updates Air Marshal settings

Operation ID: updateNetworkWirelessAirMarshalSettings

PUT /networks/{networkId}/wireless/airMarshal/settings

- the endpoint scheme security bearerAuth was removed from the API

- the endpoint scheme security meraki_api_key was removed from the API

- the endpoint scheme security oauth2: [wireless:config:write] was added to the API

- request body became optional

- the request property defaultPolicy became optional


electronicShelfLabel

Docs

Update the ESL settings of a wireless network

Operation ID: updateNetworkWirelessElectronicShelfLabel

PUT /networks/{networkId}/wireless/electronicShelfLabel

- the endpoint scheme security bearerAuth was removed from the API

- the endpoint scheme security meraki_api_key was removed from the API

- the endpoint scheme security oauth2: [wireless:config:write] was added to the API


Docs

Get a list of all ESL eligible devices of a network

Operation ID: getNetworkWirelessElectronicShelfLabelConfiguredDevices

GET /networks/{networkId}/wireless/electronicShelfLabel/configuredDevices

- the endpoint scheme security bearerAuth was removed from the API

- the endpoint scheme security meraki_api_key was removed from the API

- the endpoint scheme security oauth2: [wireless:config:read] was added to the API


ssids

Docs

List the MR SSIDs in a network

Operation ID: getNetworkWirelessSsids

GET /networks/{networkId}/wireless/ssids

- added the optional property items/dot11k to the response with the 200 status


Docs

Return a single MR SSID

Operation ID: getNetworkWirelessSsid

GET /networks/{networkId}/wireless/ssids/{number}

- added the optional property dot11k to the response with the 200 status


Docs

Update the attributes of an MR SSID

Operation ID: updateNetworkWirelessSsid

PUT /networks/{networkId}/wireless/ssids/{number}

- the request property dot11r/enabled became required

- the request property dot11w/enabled became required

- the request property speedBurst/enabled became required

- added the new optional request property dot11k

- added the optional property dot11k to the response with the 200 status


Docs

Display the overrides for this SSID

Operation ID: getNetworkWirelessSsidOverrides

GET /networks/{networkId}/wireless/ssids/{number}/overrides

- the endpoint scheme security bearerAuth was removed from the API

- the endpoint scheme security meraki_api_key was removed from the API

- the endpoint scheme security oauth2: [wireless:config:read] was added to the API


Docs

Update the overrides for this SSID

Operation ID: updateNetworkWirelessSsidOverrides

PUT /networks/{networkId}/wireless/ssids/{number}/overrides

- the endpoint scheme security bearerAuth was removed from the API

- the endpoint scheme security meraki_api_key was removed from the API

- the endpoint scheme security oauth2: [wireless:config:write] was added to the API